
#### 主要记录一些常用方法

> tips: 第一个不成熟的库，谨慎使用！成熟后将迁移至github

#### 安装 INSTALL
`npm i mall_utils_pro`

or

`yarn add mall_utils_pro`
#### 方法 METHODS

方法名 Methods Name | 参数 Params | 描述 Description | 返回类型
---|--- | --- | ---
**MathRandom** | range: number | 获取随机数 | number
**MathRand** | len: number | 获取len长度的随机数之和 | number
**Base64** | data: any | 转为Base64的字符串 | string
**MD5** | data: any | MD5加密 | string
**debounce** | (function,wait) | 防抖 | void
**throttle** | (function,delay) | 节流 | void
**keepTwoDecimal** | num: number | 四舍五入保留2位小数（若第二位小数为0，则保留一位小数） | void
**keepTwoDecimalFull** | num: number | 四舍五入保留2位小数（不够位数，则用0替补） | void
**showSaleNumText** | num: number | 显示销量的文本 | string
**ScanSensitiveWords** | content: string | 查找敏感词 屏蔽为 **** | string
**getDiffTime** | endDate: Date | 计算时差| 包含年月日时分秒的Object
**RandomColor** |  | 随机颜色 | string
 
#### Usage

```
// in JSX
import { showSaleNumText } from 'mall_utils_pro'
<span>{ showSaleNumText(100000000) }</span> // "10000.00万"
```